<?php
/**
 * @author DWand
 * @version 13.10.2012
 * @package DSiteStructScanner
 * 
 * @description Строит эталонную структуру файловой системы и записывает ее в файл
 * 
 * @uses config.php
 * @uses DSiteStructScanner.class.php
 */
set_time_limit(0);
include_once('config.php');
include_once('DSiteStructScanner.class.php');

try {
    $etStr = DSiteStructScanner::getEtalonStr($root, $excPath);
} catch (Exception $e) {
    die ('Произошла ошибка при построении эталонной файловой структуры.<br />' . $e -> getMessage());
}

try {
    $etFile = fopen($etFName, 'w');
    flock($etFile, LOCK_EX);
    fwrite($etFile, $etStr);
    flock($etFile, LOCK_UN);
    fclose($etFile);
} catch (Exception $e) {
    die ('Произошла ошибка при построении эталонной файловой структуры.<br />' . $e -> getMessage());
}

echo 'Эталонная файловая структура успешно сохранена по адресу: ' . dirname(__FILE__) . '/' . $etFName . '.';