<?php
/**
 * @author DWand
 * @version 13.10.2012
 * @package DSiteStructScanner
 * 
 * @description Конфигурационный файл.
 *              Содержит настройки для работы DSiteStructScanner.
 */


/**
 * Название файла (или относительный путь к нему) для хранения эталонной структуры файловой сиситемы
 */
$etFName = 'etalon';

/**
 * Корневая директория, с которой нужно начинать сканирование
 */
$root = dirname(dirname(__FILE__));

/**
 * Список директорий и файлов, которые не нужно сканировать.
 */
$excPath = array(
    $root . '/dsss'
);

/**
 * Список почтовых адресов, на которые нужно отослать отчет об ошибке.
 * Напрямую подставляется в функцию mail (to).
 */
$emails = 'список имейлов';

/**
 * Тема письма-отчета от ошибке.
 * Напрямую подставляется в функцию mail (subject). 
 */
$subject = 'Ошибка при сканировании структуры Название сайта';

/**
 * Шаблон тела сообщения.
 * Напрямую подставляется в функцию mail (message).
 * Поддерживает такие подстановки:
 *  [errors] - Список найденых ошибок
 */
$mesBody = '
<html>
<head>
    <title>Ошибка при сканировании структуры Название сайта</title>
<head>
<body>
    При сканировании структруы сайта 
    <a href="Адрес сайта">Название сайта</a> 
    были обнаружены следующие ошибки:<br />
    [errors]
</body>
</html>
';

/**
 * Дополнительные заголовки для письма.
 * Напрямую подставляются в функцию mail (additional_headers).
 */
$headers  = "MIME-Version: 1.0\r\n";
$headers .= "Content-type: text/html; charset=utf-8\r\n";
$headers .= "From: От кого <Адрес от кого>\r\n";
?>

