<?php
/**
 * @author DWand
 * @version 13.10.2012
 * @package DSiteStructScanner
 * 
 * @description Класс для сканировния структуры каталогов.
 *              Позволяет построить эталонную структуру каталогов и впоследствии
 *              сравнивать текущую структуру каталогов с эталонной.
 *
 * @uses config.php
 * @uses DSiteStructScanner.class.php
 */
set_time_limit(0);
include_once('config.php');
include_once('DSiteStructScanner.class.php');

$etFile = fopen($etFName, 'r');
$etStr = fread($etFile, filesize($etFName));
fclose($etFile);

$dSSS = new DSiteStructScanner();
$etStr = DSiteStructScanner::getEtalonFromStr($etStr);
$check = $dSSS -> scan($root, $excPath, $etStr);

if (!$check) {
    $erStr = $dSSS -> getFormatedErrors();
    $massage = str_replace(array('[errors]'), array($erStr), $mesBody);
    mail($emails, $subject, $massage, $headers);
}
?>